Module | Sequel::SQL::BooleanMethods
In: | lib/sequel/sql.rb

This module includes the boolean/logical AND (&), OR (|) and NOT (~) operators that are defined on objects that can be used in a boolean context in SQL (`Symbol`, `LiteralString`, and `SQL::GenericExpression`).

      :a & :b # "a" AND "b"
      :a | :b # "a" OR "b"
      ~:a # NOT "a"

One exception to this is when a NumericExpression or Integer is the argument to & or |, in which case a bitwise method will be used:

      :a & 1 # "a" & 1
      :a | (:b + 1) # "a" | ("b" + 1)

### Methods

~

### Public Instance methods

~()

Create a new BooleanExpression with NOT, representing the inversion of whatever self represents.

      ~:a # NOT :a

[Source]

         # File lib/sequel/sql.rb, line 280
    280:       def ~
    281:         BooleanExpression.invert(self)
    282:       end

[Validate]